package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.vo.UserCommissionProdVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/5/31
 * created with IntelliJ IDEA.
 */
public interface BusinessIncomeMapper {


    Page<UserCommissionProdVO> myMajorIncome(Page page, @Param("vo") UserCommissionProdVO vo);

    /**
     * 资产业务我的提成
     * @param page 分页信息
     * @param vo 查询条件
     * @return Page<UserCommissionProdVO>
     */
    Page<UserCommissionProdVO> myAssetsIncome(Page page, @Param("vo") UserCommissionProdVO vo);

    /**
     * 资产业务我的提成导出excel
     * @param vo 查询条件
     * @return Page<UserCommissionProdVO>
     */
    List<UserCommissionProdVO> myAssetsIncomeExport(@Param("vo") UserCommissionProdVO vo);
}
