package com.dayou.vo;

import com.dayou.dto.UserShareRate;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/5/16
 * created with IntelliJ IDEA.
 */
@Data
public class CommissionDeclareDetailVO {

    private Long businessId;

    private String orderId;

    private String reportNo;

    private String name;

    private Long commissionRateId;

    private String businessCate;

    private Date created;

    private String declareUser;

    private String production;

    private String declareResult;

    private String declareBusinessType;
    /**
     * 提成比例
     */
    private Double ratio;

    /**
     * 提成申报自定义提成下限
     */
    private Double definedLowLimitAmount;

    private List<String> remarks;

    private List<UserShareRate> userShareRates;
}
