package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class PersonalEfficiencyDetailVO {

    /**
     * 订单编号
     */
    @Excel(name = "订单编号")
    private String orderId;

    /**
     * 项目名称(坐落)
     */
    @Excel(name = "项目名称")
    private String location;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String customerName;

    /**
     * 业务来源(客户子级名称)
     */
    @Excel(name = "业务来源")
    private String customerSubName;

    /**
     * 客户联系人
     */
    @Excel(name = "客户联系人")
    private String linkmanName;

    /**
     * 中介
     */
    @Excel(name = "中介")
    private String agent;

    /**
     * 委托人
     */
    @Excel(name = "委托人")
    private String bailor;

    /**
     * 面积
     */
    @Excel(name = "面积")
    private BigDecimal acreage;

    /**
     * 单价
     */
    @Excel(name = "单价")
    private BigDecimal price;


    /**
     * 总价
     */
    @Excel(name = "总价")
    private BigDecimal amount;

    /**
     * 出意见书时间
     */
    @Excel(name = "出意见书时间")
    private LocalDate writeStatementDate;

    /**
     * 出报告时间
     */
    @Excel(name = "出报告时间")
    private LocalDate writeReportDate;

    /**
     * 价值时点(对应实地查勘日)
     */
    @Excel(name = "价值时点")
    private String valuationDate;

    /**
     * 用途
     */
    @Excel(name = "用途")
    private String purpose;

    /**
     * 订单应收款(元)
     */
    @Excel(name = "订单应收款(元)")
    private Double shouldAmount;

    /**
     * 订单实收款(元)
     */
    @Excel(name = "订单实收款(元)")
    private Double realAmount;

    /**
     * 客户经理名
     */
    @Excel(name = "客户经理")
    private String clientManagerName;

    /**
     * 当前实例节点名称
     */
    @Excel(name = "当前实例节点名称")
    private String currentNodeName;

    /**
     * 当前节点处理人
     */
    @Excel(name = "当前节点处理人")
    private String handlerName;

}
